Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle
[Java] Interface BuildListener

    public interface BuildListener

A `BuildListener` is notified of the major lifecycle events as a GradleLauncher instance executes a build.

Authors:
  Hans Dockter

See Also:
  Gradle.addListener

Method Summary
`void` | `buildFinished(BuildResult result)` Called when the build is completed.
`void` | `buildStarted(Gradle gradle)` Called when the build is started.
`void` | `projectsEvaluated(Gradle gradle)` Called when all projects for the build have been evaluated.
`void` | `projectsLoaded(Gradle gradle)` Called when the projects for the build have been created from the settings.
`void` | `settingsEvaluated(Settings settings)` Called when the build settings have been loaded and evaluated.

Method Detail

### buildFinished

    public void buildFinished(BuildResult result)

  Called when the build is completed. All selected tasks have been executed.

  Parameters:
    `result` - The result of the build. Never null.

### buildStarted

    public void buildStarted(Gradle gradle)

  Called when the build is started.

  Parameters:
    `gradle` - The build which is being started. Never null.

### projectsEvaluated

    public void projectsEvaluated(Gradle gradle)

  Called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

  Parameters:
    `gradle` - The build which has been evaluated. Never null.

### projectsLoaded

    public void projectsLoaded(Gradle gradle)

  Called when the projects for the build have been created from the settings. None of the projects have been evaluated.

  Parameters:
    `gradle` - The build which has been loaded. Never null.

### settingsEvaluated

    public void settingsEvaluated(Settings settings)

  Called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

  Parameters:
    `settings` - The settings. Never null.

Groovy Documentation